I am getting error

1
open
Abhishek-ai45
Abhishek-ai45
Posted 1 month ago

I am getting error #11554

Error: Cannot find module 'node-fetch-npm' Require stack:

  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\npm-registry-fetch\node_modules\make-fetch-happen\index.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\npm-registry-fetch\index.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\remote.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\git.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\fetcher.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\index.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\lib\utils\update-notifier.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\lib\cli.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\bin\npm-cli.js at Function.Module._resolveFilename (node:internal/modules/cjs/loader:933:15) at Function.Module._load (node:internal/modules/cjs/loader:778:27) at Module.require (node:internal/modules/cjs/loader:1005:19) at require (node:internal/modules/cjs/helpers:102:18) at Object. (C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\npm-registry-fetch\node_modules\make-fetch-happen\index.js:6:15) at Module._compile (node:internal/modules/cjs/loader:1101:14) at Object.Module._extensions..js (node:internal/modules/cjs/loader:1153:10) at Module.load (node:internal/modules/cjs/loader:981:32) at Function.Module._load (node:internal/modules/cjs/loader:822:12) at Module.require (node:internal/modules/cjs/loader:1005:19) Error: Cannot find module 'node-fetch-npm' Require stack:
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\npm-registry-fetch\node_modules\make-fetch-happen\index.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\npm-registry-fetch\index.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\remote.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\git.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\fetcher.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\pacote\lib\index.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\lib\utils\update-notifier.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\lib\cli.js
  • C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\bin\npx-cli.js at Function.Module._resolveFilename (node:internal/modules/cjs/loader:933:15) at Function.Module._load (node:internal/modules/cjs/loader:778:27) at Module.require (node:internal/modules/cjs/loader:1005:19) at require (node:internal/modules/cjs/helpers:102:18) at Object. (C:\Users\Dell\AppData\Roaming\nvm\v11.0.0\node_modules\npm\node_modules\npm-registry-fetch\node_modules\make-fetch-happen\index.js:6:15) at Module._compile (node:internal/modules/cjs/loader:1101:14) at Object.Module._extensions..js (node:internal/modules/cjs/loader:1153:10) at Module.load (node:internal/modules/cjs/loader:981:32) at Function.Module._load (node:internal/modules/cjs/loader:822:12) at Module.require (node:internal/modules/cjs/loader:1005:19)

I get this error.Can someone tell how to solve?

jackHedaya
jackHedaya
Created 1 month ago

It looks like you (or a dependency) are trying to import a dependency somewhere but don't have it installed. It definitely is not an issue with CRA because the package.json indicates that isn't a dependency and a quick search in the repo shows it's never used. Not sure what's causing it but try running npm i node-fetch-npm to install it if that's what you want.